import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMFoerderschwerpunkt extends JavaObject {
    kuerzel: String | null;
    beschreibung: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMFoerderschwerpunkt;
    static transpilerToJSON(obj: ENMFoerderschwerpunkt): string;
    static transpilerToJSONPatch(obj: Partial<ENMFoerderschwerpunkt>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMFoerderschwerpunkt(obj: unknown): ENMFoerderschwerpunkt;
